#### 4.22.3.12 dualCone

`Syntax:`
  `dualCone(` cone c `)`
`Type:`
  cone
`Purpose:`
  the dual of the cone
`Example:`

      LIB"gfanlib.so";
      intmat M1[2][2]=
      1,0,
      0,1;
      cone c1=coneViaPoints(M1);
      cone d1=dualCone(c1);
      d1;
      ==> AMBIENT_DIM
      ==> 2
      ==> INEQUALITIES
      ==> 0,1,
      ==> 1,0
      ==> LINEAR_SPAN
      ==>
      ==>
      print(rays(d1));
      ==> 1,0,
      ==> 0,1
      intmat M2[2][2]=
      1,1,
      0,1;
      cone c2=coneViaPoints(M2);
      cone d2=dualCone(c2);
      d2;
      ==> AMBIENT_DIM
      ==> 2
      ==> INEQUALITIES
      ==> 0,1,
      ==> 1,1
      ==> LINEAR_SPAN
      ==>
      ==>
      print(rays(d2));
      ==>  1,0,
      ==> -1,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.